<template>
	<view class="container">
		<tn-nav-bar :isBack="true" backgroundColor="#fff" :bottomShadow="false">数字人预览</tn-nav-bar>
		<view class="pos">
		</view>
		<view class="context">
			<video autoplay :src="url"></video>
		</view>
	</view>
</template>

<script>
	import {
		workList
	} from '@/api/robot/index.js'
	export default {
		data() {
			return {
				url: ''
			};
		},
		computed: {

		},

		onReady() {

		},
		onUnload() {

		},
		onLoad(o) {
			this.url = getApp().url
			console.log('数字人详情页url:', getApp().url);
		},
		onShow() {

		},
		onShareAppMessage: function(res) {

		},

		methods: {

			handleCreatePro() {
				uni.navigateTo({
					url: '/pages/robot/generate/index'
				})
			},
			handleShowMoreMenu() {
				this.showMoreMenu = true
			},
			handleConfirm(e) {
				this.showMoreMenu = false
			}
		}
	};
</script>

<style lang="scss" scoped>
	@import './index.scss';
</style>